- Qt 6.10
- Qt 3D
- QML Types
- Qt3D.Input (Deprecated)
- AxisSetting
- Qt 6.10.1 Reference Documentation

# AxisSetting QML Type

QML frontend for the Qt3DInput::QAxisSetting C++ class. More...

Import Statement: | `import Qt3D.Input 2.10`
Status: | Deprecated

- List of all members, including inherited members

## Properties

- axes : list<int>
- axis : list<var>
- deadZoneRadius : real
- smooth : bool

## Signals

- axisChanged()
- deadZoneRadiusChanged()
- smoothChanged()

## Detailed Description

Stores settings for the specified list of Axis

## Property Documentation

axes : list<int>

axis : list<var>

The current axis of the AxisSetting

deadZoneRadius : real

The current deadZone radius of the AxisSetting

smooth : bool

The current state of smoothing

## Signal Documentation

axisChanged()

This signal is emitted when the axis associated with the axis setting is changed.

The corresponding handler is `onAxisChanged`

Note: The corresponding handler is `onAxisChanged`.

deadZoneRadiusChanged()

This signal is emitted when the dead zone associated with the axis setting is changed.

The corresponding handler is `onDeadZoneRadiusChanged`

Note: The corresponding handler is `onDeadZoneRadiusChanged`.

smoothChanged()

This signal is emitted when the when the smoothing state is changed.

The corresponding handler is `onSmoothChanged`

Note: The corresponding handler is `onSmoothChanged`.